package net.sf.freecol.text;

public class Armory extends Location {
	
	public Armory() {
		super();
		this.buildingFlag = true;
		this.factoryFlag = true;
		this.setName("ARMORY");
		this.maxCapacity = 3;
	}
	
	public int goodsOutput(Goods.Types t) {
		
		assert(this.col != null):"Colony was not set for this location\n";
		
		if(t == Goods.Types.MUSKETS) {
			return 3;
		}
		return 0;
	}
	
	public Goods.Types produces() {
		return Goods.Types.MUSKETS;
	}	
	
	public Goods.Types getFuel() {
		return Goods.Types.TOOLS;
	}
}
