package net.sf.freecol.text;

public class CarpenterHouse extends Location {
	
	public CarpenterHouse() {
		super();
		this.buildingFlag = true;
		this.factoryFlag = true;
		this.setName("CARPENTERHOUSE");
		this.maxCapacity = 3;
	}
	
	public int goodsOutput(Goods.Types t) {
		
		assert(this.col != null):"Colony was not set for this location\n";
		
		if(t == Goods.Types.HAMMERS) {
			return (int) (3*upgradeMod);
		}
		return 0;
	}
	
	public Goods.Types produces() {
		return Goods.Types.HAMMERS;
	}	
	
	public Goods.Types getFuel() {
		return Goods.Types.LUMBER;
	}
}
