package net.sf.freecol.text;

public class Hill extends Tile {
	
	public Hill (boolean b) {
		super(b);
		this.name = "Hill";
	}
	
	public int goodsOutput(Goods.Types t) {
		int quantity = 0;
		
		switch(t) {
			//Hills return 2 food and 4 ore
		case FOOD: quantity = 2; break;
		case ORE: if(extraResource) quantity = 6; else quantity = 4;
		default: break;
		}
		
		return quantity;
	}
	
	public Goods.Types produces() {
		return Goods.Types.ORE;
	}
	
	public Goods.Types secondaryGoods() {
		return Goods.Types.ORE;
	}


}
