package net.sf.freecol.text;

public class LumberMillBuildable extends Buildable {
	
	public LumberMillBuildable() {
		hammerCost = 52;
		toolCost = 0;
	}
	
	public boolean isComplete() {
		boolean enoughHammers = this.col.storage.get(Goods.Types.HAMMERS) >= hammerCost;
		boolean enoughSize = this.col.getSize() >= 3;
		return (enoughHammers && enoughSize);
	}
	
	public void buildItem() {
		if(this.isComplete()) {
			int hammerStorage = this.col.storage.get(Goods.Types.HAMMERS);
			this.col.storage.put(Goods.Types.HAMMERS, hammerStorage - hammerCost);
			Location l = this.col.getBuildingByName("CARPENTERHOUSE");
			l.upgradeMod = 2.0;
		}
		else {
			System.out.println("Cannot build item, not enough resources");
		}
	}
}
