package net.sf.freecol.text;

public class StockadeBuildable extends Buildable {

	public StockadeBuildable() {
		hammerCost = 64;
		toolCost = 0;
	}
	
	public boolean isComplete() {
		boolean enoughHammers = this.col.storage.get(Goods.Types.HAMMERS) >= hammerCost;
		return (enoughHammers);
	}
	
	public void buildItem() {
		if(this.isComplete()) {
			int hammerStorage = this.col.storage.get(Goods.Types.HAMMERS);
			this.col.storage.put(Goods.Types.HAMMERS, hammerStorage - hammerCost);
			this.col.defenseModif = 1.5;
		}
		else {
			System.out.println("Cannot build item, not enough resources");
		}
	}
}
