package net.sf.freecol.text;

public class WarehouseBuildable extends Buildable {
	
	public WarehouseBuildable() {
		hammerCost = 80;
		toolCost = 0;
	}
	
	public boolean isComplete() {
		boolean enoughHammers = this.col.storage.get(Goods.Types.HAMMERS) >= hammerCost;
		return (enoughHammers);
	}
	
	public void buildItem() {
		if(this.isComplete()) {
			int hammerStorage = this.col.storage.get(Goods.Types.HAMMERS);
			this.col.storage.put(Goods.Types.HAMMERS, hammerStorage - hammerCost);
			this.col.maxStorage = 200;
		}
		else {
			System.out.println("Cannot build item, not enough resources");
		}
	}
}
