package net.sf.freecol.text;

public class ArmoryBuildable extends Buildable {
	
	public ArmoryBuildable() {
		hammerCost = 52;
		toolCost = 0;
	}
	
	public boolean isComplete() {
		return this.col.storage.get(Goods.Types.HAMMERS) >= hammerCost;
	}
	
	public void buildItem() {
		if(this.isComplete()) {
			//System.out.println("Building an armory");
			int storage = this.col.storage.get(Goods.Types.HAMMERS);
			this.col.storage.put(Goods.Types.HAMMERS, storage - hammerCost);
			Location l = new Armory();
			l.setColony(this.col);
			col.buildingList.add(l);
		}
		else {
			System.out.println("Cannot build item, not enough resources");
		}
	}

}
