package net.sf.freecol.text;

public class Blacksmith extends Location {

	public Blacksmith() {
		super();
		this.buildingFlag = true;
		this.factoryFlag = true;
		this.setName("BLACKSMITH");
		this.maxCapacity = 3;
	}
	
	public int goodsOutput(Goods.Types t) {
		
		assert(this.col != null):"Colony was not set for this location\n";
		
		if(t == Goods.Types.TOOLS) {
			return (int) (3*upgradeMod);
		}
		return 0;
	}
	
	public Goods.Types produces() {
		return Goods.Types.TOOLS;
	}	
	
	public Goods.Types getFuel() {
		return Goods.Types.ORE;
	}
}
