package net.sf.freecol.text;

public class MixedForest extends Tile {

		public MixedForest (boolean b) {
			super(b);
			this.name = "MixedForest";
		}
		
		public int goodsOutput(Goods.Types t) {
			int quantity = 0;
			
			switch(t) {
				//mixedForest return 3 food, 6 lumber, 3 furs and 1 cotton
			case FOOD: quantity = 3; break;
			case LUMBER: quantity = 6; break;
			//case FURS: if (extraResource) quantity = 6; else quantity = 3; break;
			//case COTTON: quantity = 1; break;
			default: break;
			}
			
			return quantity;
		}
		
		public Goods.Types produces() {
			return Goods.Types.LUMBER;
		}
		
		public Goods.Types secondaryGoods() {
			//return Goods.Types.FURS;
			return Goods.Types.NONE;
		}

}
