package net.sf.freecol.text;

public class Plain extends Tile {
	
	public Plain(boolean b) {
		super(b);
		this.name = "Plain";
	}
	
	public int goodsOutput(Goods.Types t) {
		int quantity = 0;
		
		switch(t) {
			//plains return 1 ore, 5 food and 2 cotton
		case ORE: quantity = 1; break;
		case FOOD: if (extraResource) quantity = 7; else quantity = 5; break;
		//case COTTON: quantity = 2; break;
		default: break;
		}
		
		return quantity;
	}
	
	public Goods.Types produces() {
		return Goods.Types.FOOD;
	}
	
	public Goods.Types secondaryGoods() {
		//return Goods.Types.COTTON;
		return Goods.Types.NONE;
	}

}
