package net.sf.freecol.text;

//this class represents an abstract type
public class Tile extends Location {
	
	protected boolean extraResource;
	
	public Tile (boolean extra) {
		super();
		this.maxCapacity = 1;
		this.extraResource = extra;
		this.tileFlag = true;
	}
	
	public Goods.Types secondaryGoods() {
		return Goods.Types.FOOD;
	}
	
	
	
	public static void main(String[] args) {
		// testing
		Tile plain = new Plain(true);
		Tile grassland = new Grassland(false);
		Unit u1 = new Unit("Col1", plain);
		Unit u2 = new Unit("Col2", grassland);
		u1.printOutput();
		System.out.println("-----------------------");
		u2.printOutput();
	}

}
